import numpy as np


class GX5_25_dummy():
    def __init__(self, COM='COM6', baud=115200, timeout=0.5):
        pass

    def __enter__(self):
        return self

    def __exit__(self, type, value, traceback):
        pass

    def _msg(self, msg):
        print(f'Dummy AHRS: {msg}')

    def open(self, COM, baud, timeout):
        self._msg('open')

    def close(self):
        self._msg('close')
    
    def get_data(self):   # returns a 3x1 numpy array [roll,pitch,yaw], in radians
        return np.zeros((3,1))
